Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.user.domain.impl
Class ObjectPermissionRecipientIdentity

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.user.domain.impl.ObjectPermissionRecipientIdentity

    public class ObjectPermissionRecipientIdentity

extends java.lang.Object

Version:
  $Id: ObjectPermissionRecipientIdentity.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`ObjectPermissionRecipientIdentity()`
`ObjectPermissionRecipientIdentity(java.lang.Class recipientClass, long id)`
`ObjectPermissionRecipientIdentity(IdedObject object)`

Method Summary
`long` | `getId()`
`java.lang.Class` | `getRecipientClass()`
`void` | `setId(long id)`
`void` | `setRecipientClass(java.lang.Class recipientClass)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectPermissionRecipientIdentity

    public ObjectPermissionRecipientIdentity()

### ObjectPermissionRecipientIdentity

    public ObjectPermissionRecipientIdentity(java.lang.Class recipientClass,
                                             long id)

### ObjectPermissionRecipientIdentity

    public ObjectPermissionRecipientIdentity(IdedObject object)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getRecipientClass

    public java.lang.Class getRecipientClass()

### setRecipientClass

    public void setRecipientClass(java.lang.Class recipientClass)

### getId

    public long getId()

### setId

    public void setId(long id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.